
Name:		spyder
Version:	3.0.2
Release:	%mkrel 2
Summary:	Scientific Python Development Environment
License:	MIT
Group:		Development/Python
URL:		https://github.com/spyder-ide/spyder
Source0:	https://github.com/%{name}-ide/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	spyder3.desktop
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pythonegg(2)(sphinx)
BuildRequires:	pythonegg(2)(sphinx-rtd-theme)
Requires:	python-qt5
Requires:	pythonegg(2)(rope) >= 0.9.4
Requires:	pythonegg(2)(jedi)
Requires:	pythonegg(2)(pyflakes)
Requires:	pythonegg(2)(pygments) >= 2.0
Requires:	pythonegg(2)(qtconsole) >= 4.2.0
Requires:	pythonegg(2)(nbconvert)
Requires:	pythonegg(2)(sphinx)
Requires:	pythonegg(2)(pep8)
Requires:	pythonegg(2)(pylint)
Requires:	pythonegg(2)(psutil)
Requires:	pythonegg(2)(qtawesome)
Requires:	pythonegg(2)(qtpy) >= 1.1.0
Requires:	pythonegg(2)(pickleshare)
Requires:	pythonegg(2)(pyzmq)
Recommends:	pythonegg(2)(numpy)
Recommends:	pythonegg(2)(scipy)
Recommends:	pythonegg(2)(matplotlib)
Recommends:	pythonegg(2)(ipython)

%description
Spyder is a Python development environment with advanced editing, interactive
testing, debugging and introspection features. It is especially recommended 
for scientific computing thanks to NumPy (linear algebra), SciPy (signal and 
image processing), matplotlib (interactive 2D/3D plotting), MayaVi’s mlab 
(interactive 3D visualization) and -of course- IPython support.

Spyder may also be used as a library providing powerful console-related PyQt5
widgets.


%package -n spyder3
Summary:	Scientific Python3 Development Environment
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pythonegg(3)(sphinx)
BuildRequires:	pythonegg(3)(sphinx-rtd-theme)
Requires:	python3-qt5
Requires:	pythonegg(3)(rope-py3k) >= 0.9.4
Requires:	pythonegg(3)(jedi)
Requires:	pythonegg(3)(pyflakes)
Requires:	pythonegg(3)(pygments) >= 2.0
Requires:	pythonegg(3)(qtconsole) >= 4.2.0
Requires:	pythonegg(3)(nbconvert)
Requires:	pythonegg(3)(sphinx)
Requires:	pythonegg(3)(pep8)
Requires:	pythonegg(3)(pylint)
Requires:	pythonegg(3)(psutil)
Requires:	pythonegg(3)(qtawesome)
Requires:	pythonegg(3)(qtpy) >= 1.1.0
Requires:	pythonegg(3)(pickleshare)
Requires:	pythonegg(3)(pyzmq)
Recommends:	pythonegg(3)(numpy)
Recommends:	pythonegg(3)(scipy)
Recommends:	pythonegg(3)(matplotlib)
Recommends:	pythonegg(3)(ipython)

%description -n spyder3
Spyder is a Python development environment with advanced editing, interactive
testing, debugging and introspection features. It is especially recommended 
for scientific computing thanks to NumPy (linear algebra), SciPy (signal and 
image processing), matplotlib (interactive 2D/3D plotting), MayaVi’s mlab 
(interactive 3D visualization) and -of course- IPython support.

Spyder may also be used as a library providing powerful console-related PyQt5
widgets.
This version use Python3.

%prep
%setup -q -n %{name}-%{version}

rm -rf PKG-INFO

# Remove DOS line endings
for file in `find -name "*.rst" -o -name "*.py" -o -name "*.css"` README; do
	sed "s|\r||g" $file > $file.new && \
	touch -r $file $file.new && \
	mv $file.new $file
done
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/spyderlib/doc/{.buildinfo,.doctrees}
popd

%py2_install
rm -rf %{buildroot}%{python2_sitelib}/spyderlib/doc/{.buildinfo,.doctrees}
rm -rf %{buildroot}%{_bindir}/spyder_win_post_install.py


# adding a launcher

%{__install} -d -m755 %{buildroot}%{_datadir}/applications
%{__install} -d -m755 %{buildroot}%{_datadir}/pixmaps

%{__install} -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications
%{__install} -m644 %{SOURCE2} %{buildroot}%{_datadir}/applications
%{__install} -m644 img_src/spyder.svg %{buildroot}%{_datadir}/pixmaps


%files
%doc README.md
%{python2_sitelib}/
%{_bindir}/spyder
%{_datadir}/applications/spyder.desktop
%{_datadir}/pixmaps/spyder.*

%files -n spyder3
%doc README.md
%{python3_sitelib}/
%{_bindir}/spyder3
%{_datadir}/applications/spyder3.desktop
%{_datadir}/pixmaps/spyder3.*


%changelog
* Sun Jan 29 2017 daviddavid <daviddavid> 3.0.2-2.mga6
+ Revision: 1084009
- add some missing dependencies (fixes mga#20203)

* Sun Nov 27 2016 philippem <philippem> 3.0.2-1.mga6
+ Revision: 1070385
- update to 3.0.2

* Fri May 06 2016 philippem <philippem> 2.3.9-1.mga6
+ Revision: 1009721
- update to 2.3.9, change source url
- update to 2.3.9

* Fri Apr 22 2016 philippem <philippem> 2.3.8-3.mga6
+ Revision: 1005345
- change recommends for new ipython

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Dec 04 2015 philippem <philippem> 2.3.8-1.mga6
+ Revision: 908182
- update to 2.3.8

* Sat Oct 10 2015 philippem <philippem> 2.3.7-1.mga6
+ Revision: 889378
- update to 2.3.7

* Thu Oct 08 2015 daviddavid <daviddavid> 2.3.0-5.mga6
+ Revision: 887696
- add missing BuildRequires on python(3)-sphinx_rtd_theme
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 2.3.0-4.mga5
+ Revision: 748932
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.3.0-3.mga5
+ Revision: 730176
- rebuild for missing pythoneggs deps
- s/uggests:/Recommends:/

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Wed Jul 16 2014 philippem <philippem> 2.3.0-1.mga5
+ Revision: 653176
- update to 2.3.0, add spyder3 for Python 3.4

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.2.4-3.mga4
+ Revision: 544518
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.2.4-2.mga4
+ Revision: 499891
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 30 2013 philippem <philippem> 2.2.4-1.mga4
+ Revision: 489696
- imported package spyder

